Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#63468 - [rapid-photo-downloader] Unmet dependecy in 0.9.16-1

Attached to Project: Community Packages
Opened by Sven Antonsen (sven.antonsen) - Thursday, 15 August 2019, 21:14 GMT
Last edited by Balló György (City-busz) - Thursday, 29 August 2019, 18:41 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Jaroslav Lichtblau (Dragonlord)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 7
Private No

Details

python-tenacity is a dependency.
This task depends upon

Comment by Vincent THOMAS (vithom) - Wednesday, 21 August 2019, 20:21 GMT
I agree, with the version 0.9.17 also.
Comment by Mike Goodman (freshscaped) - Monday, 26 August 2019, 19:31 GMT
I can confirm that the package rapid-photo-downloader will not work in Gnome on Arch without python-tenacity. I haven't yet tried it on any other GUIs. I downloaded it using pacman today. Here is the command line I entered when clicking the icon in Gnome failed to elicit a response, and the last couple of lines of the response:

~]# rapid-photo-downloader
File “/usr/lib/python3.7/site-packages/raphodo/rpdsql.py”, line 32, in
from tenacity import retry, stop_after_attempt
ModuleNotFoundError: No module named ‘tenacity’

Hope that helps. Happy to post the full response if required or may help, but these are the only mentions of tenacity which, it turned out, is python-tenacity and installing it fixed the rapid-photo-downloader package.

Loading...